# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# khtml::RenderContainer Class Reference

Base class for rendering objects that can have children. More...

`#include <render_container.h>`

Inheritance diagram for khtml::RenderContainer:

[legend]
Collaboration diagram for khtml::RenderContainer:

[legend]
List of all members.

## Public Member Functions

| RenderContainer (DOM::NodeImpl *node)
RenderObject * | firstChild () const
RenderObject * | lastChild () const
virtual void | addChild (RenderObject *newChild, RenderObject *beforeChild=0)
virtual RenderObject * | removeChildNode (RenderObject *child)
virtual void | appendChildNode (RenderObject *child)
virtual void | insertChildNode (RenderObject *child, RenderObject *before)
virtual void | layout ()
virtual void | calcMinMaxWidth ()
virtual void | removeLeftoverAnonymousBoxes ()

## Protected Member Functions

void | insertPseudoChild (RenderStyle::PseudoId type, RenderObject *child, RenderObject *before)

## Protected Attributes

RenderObject * | m_first
RenderObject * | m_last

## Detailed Description

Base class for rendering objects that can have children.

Definition at line 35 of file render_container.h.

The documentation for this class was generated from the following files:

- render_container.h
- render_container.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:40:15 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001